#include "LedControl.h"
#include <binary.h>

//Linkes Auge 
LedControl lc=LedControl(11,13,4,1); //PIN-Zuweisung - Data-Pin (DIN), Clock-Pin (CLK), CS-Pin (Digitalpin - frei wählbar)

//Rechtes Auge
LedControl lc2=LedControl(11,13,2,1); //PIN-Zuweisung

//Verzögerung zwischen den Modi
unsigned long delaytime = 5000;

//Linkes Auge
//M-O neutrales Gesicht
byte hf[8]= {B00000000,B00000000,B00000000,B11111110,B11111110,B11111110,B00000000,B00000000};
//M-O wütendes Gesicht
byte nf[8]={B00000000,B00000000,B00000000,B11100000,B11111000,B11111110,B00000000,B00000000};
//M-O zusammengekniffene Augen
byte sf[8]= {B00000000,B00000000,B00000000,B00000000,B11111110,B11111110,B00000000,B00000000};

//Rechtes Auge
//M-O neutrales Gesicht
byte tf[8]= {B00000000,B00000000,B11111110,B11111110,B11111110,B00000000,B00000000,B00000000};
//M-O wütendes Gesicht
byte qf[8]={B00000000,B00000000,B11111110,B11111000,B11100000,B00000000,B00000000,B00000000};
//M-O zusammengekniffene Augen
byte rf[8]= {B00000000,B00000000,B11111110,B11111110,B00000000,B00000000,B00000000,B00000000};

void setup() {
  lc.shutdown(0,false);
  lc2.shutdown(0,false);
  //Mittlere Intensität einstellen
  lc.setIntensity(0,8);
  lc2.setIntensity(0,8);
  //Den Display leeren
  lc.clearDisplay(0);
  lc2.clearDisplay(0);
}

void drawFaces(){
  //Neutrales Gesicht
  lc.setRow(0,0,hf[0]);
  lc.setRow(0,1,hf[1]);
  lc.setRow(0,2,hf[2]);
  lc.setRow(0,3,hf[3]);
  lc.setRow(0,4,hf[4]);
  lc.setRow(0,5,hf[5]);
  lc.setRow(0,6,hf[6]);
  lc.setRow(0,7,hf[7]);
  lc2.setRow(0,0,tf[0]);
  lc2.setRow(0,1,tf[1]);
  lc2.setRow(0,2,tf[2]);
  lc2.setRow(0,3,tf[3]);
  lc2.setRow(0,4,tf[4]);
  lc2.setRow(0,5,tf[5]);
  lc2.setRow(0,6,tf[6]);
  lc2.setRow(0,7,tf[7]);
  delay(delaytime);
  
  //Wütendes Gesicht
  lc.setRow(0,0,nf[0]);
  lc.setRow(0,1,nf[1]);
  lc.setRow(0,2,nf[2]);
  lc.setRow(0,3,nf[3]);
  lc.setRow(0,4,nf[4]);
  lc.setRow(0,5,nf[5]);
  lc.setRow(0,6,nf[6]);
  lc.setRow(0,7,nf[7]);
  lc2.setRow(0,0,qf[0]);
  lc2.setRow(0,1,qf[1]);
  lc2.setRow(0,2,qf[2]);
  lc2.setRow(0,3,qf[3]);
  lc2.setRow(0,4,qf[4]);
  lc2.setRow(0,5,qf[5]);
  lc2.setRow(0,6,qf[6]);
  lc2.setRow(0,7,qf[7]);
  delay(delaytime);
  
  //Zusammengekniffene Augen
  lc.setRow(0,0,sf[0]);
  lc.setRow(0,1,sf[1]);
  lc.setRow(0,2,sf[2]);
  lc.setRow(0,3,sf[3]);
  lc.setRow(0,4,sf[4]);
  lc.setRow(0,5,sf[5]);
  lc.setRow(0,6,sf[6]);
  lc.setRow(0,7,sf[7]);
  lc2.setRow(0,0,rf[0]);
  lc2.setRow(0,1,rf[1]);
  lc2.setRow(0,2,rf[2]);
  lc2.setRow(0,3,rf[3]);
  lc2.setRow(0,4,rf[4]);
  lc2.setRow(0,5,rf[5]);
  lc2.setRow(0,6,rf[6]);
  lc2.setRow(0,7,rf[7]);
  delay(delaytime);
}

void loop(){
  drawFaces(); //Gesichter erzeugen
}
